import pandas as pd
from sklearn.model_selection import cross_val_score
from sklearn.tree import DecisionTreeClassifier
from sklearn.preprocessing import MinMaxScaler

df = pd.read_csv('data_name.csv')

y = df['class'].values
x = df.drop(['class'], axis=1)
x = x.values

# Data Preprocessing
scaler = MinMaxScaler()
x = scaler.fit_transform(x)

# Decision Tree algorithm implement
dt = DecisionTreeClassifier(max_depth=3)
dtscores = cross_val_score(dt, x, y, cv=10)
print("Accuracy of DecisionTreeClassifier Test set : {:.3f}".format(dtscores.mean()))
