import pandas as pd
from sklearn.model_selection import cross_val_score
from sklearn.ensemble import RandomForestClassifier
from sklearn.preprocessing import MinMaxScaler

df = pd.read_csv('data_name.csv')

y = df['class'].values
x = df.drop(['class'], axis=1)
x = x.values

# Data Preprocessing
scaler = MinMaxScaler()
x = scaler.fit_transform(x)

# Random Forest algorithm implement
forest = RandomForestClassifier(n_estimators=100)
forestscores = cross_val_score(forest, x, y, cv=10)
print("Accuracy of RandomForestClassifier Test set : {:.3f}".format(forestscores.mean()))
